<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>上传图片</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
</head>
<body>

<div class="layui-fluid">
    <div class="layui-row layui-col-space15">
        <div class="layui-col-md6">
            <div class="layui-card">

                <div class="layui-card-body">
                    <form class="layui-form" action="" lay-filter="component-form-element">
                        <div class="layui-form-item">
                            <label class="layui-form-label"><font color='red' size="4">*</font>图片：</label>
                            <div class="layui-input-block">
                                <button type="button" class="layui-btn-sm" id="banner_img">上传图片</button>
                                <br><br>
                                <img class="layui-upload-img" id="banner_img_demo" style="max-height: 200px;">
                            </div>
                        </div>

                        <button class="layui-btn" id="id_save" lay-submit lay-filter="component-form-element" style="display: none">保存
                        </button>
                        <button class="layui-btn" type="button" id="upload_image" style="display: none"></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


<script src="../../layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '../../../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index',
    }).use(['index', 'form', 'utils', 'upload',], function () {
        var $ = layui.$
            , admin = layui.admin
            , upload = layui.upload
            , form = layui.form;

        var id = layui.view.getParameterByName('id');
        form.render(null, 'component-form-element');

        if (id) {
            var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
            form.val("component-form-element", editdata);
            $('#banner_img_demo').attr('src', editdata.show_image_url);
        }
        var url = '/commodity/' + id + '/upload_show_image/',
            method = 'post', banner_img = '';

        upload.render({
            elem: "#banner_img",
            url: url,
            auto: false,
            field: 'banner_img',
            bindAction: "#upload_image",
            choose: function (obj) {
                obj.preview(
                    function (index, file, result) {
                        $("#banner_img_demo").attr("src", result)
                    }
                )
            },
            done: function (res) {
                if (res.code !== 0) {
                    layer.msg(res.msg)
                } else {
                    parent.layui.onSubmitChild(res);
                }
            },
            error: function () {
                layer.msg('保存失败');
            }
        });

        form.on('submit(component-form-element)', function (data) {
            //layer.msg(JSON.stringify(data.field));
            if (!data.field.banner_img) {
                layer.msg('请选择图片');
                return false;
            }
            setTimeout($('#upload_image').click(), 30000);
            return false;
        });

        parent.layui.submitChild = function () {
            $("#id_save").click();
        };
    });
</script>
</body>
</html>
